
Redmine - Defect #5465

Revision links fail for 4 digits or more

2010-05-07 10:15 - F Delehal

Status: Closed Start date: 2010-05-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.2

Description

Seems like revision links fail to format if the revision number being linked has more than 3 digits.

Example

r1

r22

r333

r4444

r55555

History

#1 - 2010-05-07 11:11 - Carsten Schurig

r3333 works here, r4444 doesn't exist yet ;)

#2 - 2010-05-07 11:49 - Felix Schäfer

Please give steps to reproduce, r-Links work fine here and on my test installation with 4 digits.

#3 - 2010-05-07 15:32 - Muntek Singh

Tested with a 5 digit revision - no problems. Unable to reproduce.

#4 - 2010-05-08 04:55 - F Delehal

- Status changed from New to Resolved

Argh, sorry. Just realized the ticket I spotted this on was moved from Project A (which has about 3000 revisions) to Subproject B (with no repo). I

used the same test text I had above in Project A's wiki and in a preview on this ticket, both of which stopped linking at r4444 since no such revision

exists yet... so it looked consistent at first glance, but I should have realized there were more factors in play.

Sorry to prove once again that end users are dumb. x.x Thanks for being so on top of things! I switched to Redmine from Trac about a semester ago,

and it's been a blast so far.

I notice I can mark this ticket resolved, which I assume is a good idea at this point.

#5 - 2010-05-08 09:12 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

#6 - 2011-10-25 13:03 - Fredrick Rollins

SPAM
https://www.redmine.org/projects/redmine/repository/svn/revisions/1
https://www.redmine.org/projects/redmine/repository/svn/revisions/22
https://www.redmine.org/projects/redmine/repository/svn/revisions/333
https://www.redmine.org/projects/redmine/repository/svn/revisions/4444
https://www.redmine.org/projects/redmine/repository/svn/revisions/3333
https://www.redmine.org/projects/redmine/repository/svn/revisions/4444
https://www.redmine.org/projects/redmine/repository/svn/revisions/4444
http://www.tcpdf.org

